Bug 1474531 - grub2-setpassword don't set password
grub2-setpassword don't set password
Status: NEW
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
26
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 17:34 EDT by Victor Oliveira
Modified: 2018-05-04 09:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Oliveira 2017-07-24 17:34:56 EDT
Description of problem:
The grub2-setpassword don't create user.cfg file.

Version-Release number of selected component (if applicable):
Version: 2.02
Release: 0.40.fc26

How reproducible:
Always (wrong line on script)

Steps to Reproduce:
1. Run as root grub2-setpassword
2. An error appears
3. -

Actual results:
It print's a directory not found error "/boot/efi/EFI/redhat/".

Expected results:
Create user.cfg file on /boot/efi/EFI/fedora/

Additional info:
The error occurs in line 4, on declaration on "grubdir" var inside if.
The directory on script not exists on fedora "/boot/efi/EFI/redhat/". Changing to "/boot/efi/EFI/fedora/" works.
Comment 1 David Haller 2017-11-17 11:44:31 EST
Fedora 27 is also affected. Changing the directory in the script fixes the problem.

grub2-setpassword offers to set the directory with -o parameter but this doesn't work, it still tries to write to /boot/efi/EFI/redhat/.
Comment 2 Fedora End Of Life 2018-05-03 05:00:47 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 David Haller 2018-05-04 09:12:42 EDT
Fixed in Fedora 28!

Note You need to log in before you can comment on or make changes to this bug.